Greenshades Blog


Greenshades disables TLS 1.0

Posted on May 21st, 2018

By Greenshades Security
Security@Greenshades.com

 

In the interest of keeping sensitive data secure, we will be disabling access to our sites for any browser or application that does not support TLS 1.1 or higher. This change will take place before June 30th.

This means that if your browser only supports TLS 1.0, you will not be able to access some of Greenshades services.

If you would like to test your browser for compatibility, click this link: https://www.ssllabs.com/ssltest/viewMyClient.html

The internet is the wild west and there is a lot of information being passed around including credit card numbers, passwords, and personal data. Our network administrators, as well as security, want to make sure the browsers accessing our site and services are as secure as can be.

If you have any questions about these changes, please email security@greenshades.com.